Bug 274621 - audacious and lossless formats
audacious and lossless formats
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 13:33 EDT by Denis
Modified: 2008-06-16 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:18:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis 2007-09-02 13:33:34 EDT
Description of problem:
Can't play  lossless formats, such as flac , wav

Version-Release number of selected component (if applicable):
audacious-1.3.2-1.fc7

How reproducible:
just open one of lossless formats, i get audacious open file window


Actual results:


Expected results:


Additional info:
Same thing on fc6

from debug : 
Vivace.flac" is not a core dump: File format not recognized
Comment 1 Jiri Moskovcak 2007-09-04 07:40:35 EDT
Are you sure, that the file you're trying to play is OK? I have no problems
playing flac files on F7 with the same version of audacious.

Jirka
Comment 2 Denis 2007-09-04 09:29:16 EDT
The files OK, I can play them on my mp3 player (that support flac)
another thing, when i double click on flac file i get a warning :
"Cannot open 01 of CDImage.flac
The filename "01 of CDImage.flac" indicates that this file is of type "FLAC
audio". The contents of the file indicate that the file is of type "MP3 audio".
If you open this file, the file might present a security risk to your system.
Do not open the file unless you created the file yourself, or received the file
from a trusted source. To open the file, rename the file to the correct
extension for "MP3 audio", then open the file normally. Alternatively, use the
Open With menu to choose a specific application for the file. "

And if I open it from Open With menu(gnome) and choose audacious i get audacious
open file window.
What I think it's a problem with coding from ape to flac with
Easy.cd-da.Extractor(program for windows that convert audio files).
I will check it later

And strange thing, audacious opened this files before (more earlier version, i
don't remember the version)
Comment 3 Denis 2007-09-04 14:44:27 EDT
(In reply to comment #1)
> Are you sure, that the file you're trying to play is OK? I have no problems
> playing flac files on F7 with the same version of audacious.
> 
> Jirka
OK
I encode wav files to flac in linux, and audacious successfully play this flac
files. 
Strange...

Comment 4 Jiri Moskovcak 2007-09-26 08:50:26 EDT
Hi, have you figured out what's wrong? If the audacious or the file? I've
noticed that Audacious has problems with playing files with wrong extension -
e.g. you have file.ogg but the file is in mp3 format. I think, according to the
warning message you've posted, that this is the case.

jirka
Comment 5 Denis 2007-09-26 09:50:05 EDT
(In reply to comment #4)
> Hi, have you figured out what's wrong? If the audacious or the file? I've
> noticed that Audacious has problems with playing files with wrong extension -
> e.g. you have file.ogg but the file is in mp3 format. I think, according to the
> warning message you've posted, that this is the case.
> 
> jirka

Hi.
In my case what I think it's a bug in program that i converted(mac-->flac) with.
 I converted this files years ago and now I don't have machine with windows to
check this.
You are right about extension, I'v noticed that too in audacious, maybe in my
case it's wrong extension.
How can I expose with wich codec music file was decoded ?
Comment 6 Jiri Moskovcak 2007-10-01 09:53:50 EDT
Hi, you can try '$ file your_encodedfile' or just look to the encoded audofile
header.

jirka
Comment 7 Denis 2007-10-01 10:34:55 EDT
(In reply to comment #6)
> Hi, you can try '$ file your_encodedfile' or just look to the encoded audofile
> header.
> 
> jirka
Hi jirka, here is some outpus:
file 01.flac 
01.flac: Audio file with ID3 version 23.0 tag, MP3 encoding


(test file with flac)
flac -t 01.flac 

flac 1.1.4, Copyright (C) 2000,2001,2002,2003,2004,2005,2006,2007  Josh Coalson
flac comes with ABSOLUTELY NO WARRANTY.  This is free software, and you are
welcome to redistribute it under certain conditions.  Type `flac' for details.

01.flac: ok         


(just run with flac) :
flac 01.flac 

flac 1.1.4, Copyright (C) 2000,2001,2002,2003,2004,2005,2006,2007  Josh Coalson
flac comes with ABSOLUTELY NO WARRANTY.  This is free software, and you are
welcome to redistribute it under certain conditions.  Type `flac' for details.

ERROR: input file 01.flac has an ID3v2 tag
    
I can play this files in Rhythmbox(and other gstreamer programs).
Audacious can open flac files with ID3v2 tag?

thanks
denis
Comment 8 Denis 2007-10-01 10:50:20 EDT
and another thing 
I remember that was periods that this files played in Audacious.
From 'file' outputs and 'test flac' output, maybe solving 'wrong extension' will
work here.
Comment 9 Ralf Ertzinger 2007-10-01 10:58:10 EDT
What does
$ metaflac --list --block-type=STREAMINFO <filename>

say?

The flac plugin in audacious 1.3.x is somewhat broken and will be completely
replaced in 1.4, which is currently entering beta status.
Comment 10 Denis 2007-10-01 12:30:12 EDT
> $ metaflac --list --block-type=STREAMINFO <filename>
> 
> say?

 metaflac --list --block-type=STREAMINFO 01.flac
METADATA block #0
  type: 0 (STREAMINFO)
  is last: false
  length: 34
  minimum blocksize: 4608 samples
  maximum blocksize: 4608 samples
  minimum framesize: 14 bytes
  maximum framesize: 12220 bytes
  sample_rate: 44100 Hz
  channels: 2
  bits-per-sample: 16
  total samples: 61559980
  MD5 signature: 044b30bc622ffb13d16bffd981965e3e
Comment 11 Denis 2008-01-16 13:42:26 EST
the problem solved after update to 1.4 version
$ rpm -q audacious
audacious-1.4.5-1.fc8
Comment 12 Bug Zapper 2008-05-14 10:12:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 22:18:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.